Made minor changes to Ast.h

19c19
< class RulezNode;
---
> class RuleNode;

238c238
<     { return (ExprNode*)((const InvocationNode*)this->param(i));}
---
>     { return (ExprNode*)(((const InvocationNode*)this)->param(i));}

